#
# spec file for package tracker-miners
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tracker-miners
Version:        2.0.4
Release:        lp151.3.3.1
Summary:        Various miners for Tracker
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            https://wiki.gnome.org/Projects/Tracker
Source:         http://download.gnome.org/sources/tracker-miners/2.0/%{name}-%{version}.tar.xz

# PATCH-FIX-UPSTREAM tracker-miners-private.patch bgo#725689 dimstar@opensuse.org -- Do not maintain LT versioning for private libs
Patch0:         tracker-miners-private.patch
# PATCh-FIX-UPSTREAM tracker-miners-bsc1165635-crawl-timestamp.patch boo#1165635 mgorse@suse.com -- properly set crawl timestamp.
Patch1:         tracker-miners-bsc1165635-crawl-timestamp.patch

BuildRequires:  giflib-devel
BuildRequires:  intltool >= 0.40.0
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(enca) >= 1.9
BuildRequires:  pkgconfig(exempi-2.0) >= 2.1.0
BuildRequires:  pkgconfig(flac) >= 1.2.1
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.44.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0) >= 0.10.31
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 0.10.31
BuildRequires:  pkgconfig(icu-i18n) >= 4.8.1.1
BuildRequires:  pkgconfig(icu-uc) >= 4.8.1.1
BuildRequires:  pkgconfig(libcue)
BuildRequires:  pkgconfig(libexif) >= 0.6
BuildRequires:  pkgconfig(libgrss) >= 0.7
BuildRequires:  pkgconfig(libgsf-1) >= 1.14.24
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libosinfo-1.0) >= 0.2.9
BuildRequires:  pkgconfig(libseccomp) >= 2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:  pkgconfig(taglib_c) >= 1.6
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  pkgconfig(tracker-miner-2.0) >= 1.99
BuildRequires:  pkgconfig(tracker-sparql-2.0) >= 1.99
BuildRequires:  pkgconfig(upower-glib) >= 0.9.0
BuildRequires:  pkgconfig(vorbisfile) >= 0.22
# Make sure tracker is being updated to 1.99 too
Conflicts:      tracker < 1.99
# The schema files moved from libtracker-common to tracker-miners
Conflicts:      libtracker-common-1_0 < 1.99
Recommends:     %{name}-lang

%description
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

These are the sources for the various miners (e.g. files, rss)

%package -n tracker-miner-files
Summary:        Tracker miner to index files and applications
Group:          System/GUI/GNOME
Requires:       %{name} >= %{version}

%description -n tracker-miner-files
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

This package contains a miner to index files and applications.

%package -n tracker-miner-rss
Summary:        Tracker miner to index ATOM and RSS feeds
Group:          System/GUI/GNOME
Requires:       %{name} >= %{version}

%description -n tracker-miner-rss
Tracker is a desktop-neutral object database, tag/metadata database,
search tool and indexer.

This package contains a miner to index ATOM and RSS feeds.

%lang_package

%prep
%autosetup -p1

%build
# Needed for patch0
autoreconf -fiv
%configure \
	--disable-static \
	--enable-libflac \
	--enable-libvorbis \
	%{nil}
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
rm %{buildroot}%{_datadir}/tracker-tests/01-writeback.py
%find_lang %{name}

%files
%license COPYING
%doc ChangeLog README
%{_libexecdir}/tracker-extract
%{_libexecdir}/tracker-writeback
%{_mandir}/man1/tracker-extract.1%{ext_man}
%{_mandir}/man1/tracker-writeback.1%{ext_man}
%dir %{_datadir}/tracker
%dir %{_datadir}/tracker/miners
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.Extract.service
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Writeback.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.TrackerMiners.enums.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Extract.gschema.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Writeback.gschema.xml
%{_userunitdir}/tracker-extract.service
%{_userunitdir}//tracker-writeback.service
%{_datadir}/%{name}/
%{_sysconfdir}/xdg/autostart/tracker-extract.desktop
%dir %{_libdir}/tracker-miners-2.0
%{_libdir}/tracker-miners-2.0/extract-modules/
%{_libdir}/tracker-miners-2.0/writeback-modules/
%{_libdir}/tracker-miners-2.0/libtracker-extract.so

%files -n tracker-miner-files
%{_libexecdir}/tracker-miner-apps
%{_libexecdir}/tracker-miner-fs
%{_mandir}/man1/tracker-miner-fs.1%{ext_man}
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.Applications.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Applications.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.Miner.Files.gschema.xml
%{_userunitdir}/tracker-miner-apps.service
%{_userunitdir}/tracker-miner-fs.service
%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%{_sysconfdir}/xdg/autostart/tracker-miner-apps.desktop

%files -n tracker-miner-rss
%{_sysconfdir}/xdg/autostart/tracker-miner-rss.desktop
%{_libexecdir}/tracker-miner-rss
%{_userunitdir}/tracker-miner-rss.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.RSS.service
%{_datadir}/tracker/miners/org.freedesktop.Tracker1.Miner.RSS.service
%{_mandir}/man1/tracker-miner-rss.1%{ext_man}

%files lang -f %{name}.lang

%changelog
* Tue Mar 10 2020 Michael Gorse <mgorse@suse.com>
- Add tracker-miners-bsc1165635-crawl-timestamp.patch: properly set
  crawl timestamp (bsc#1165635 glgo#GNOME/tracker-miners!159).
* Wed Feb  7 2018 bjorn.lie@gmail.com
- Update to version 2.0.4:
  + build: Allow building tracker repo as a meson subproject.
  + libtracker-common: Rename to libtracker-miners-common.
  + libtracker-miners-common: Whitelist arm_fadvise64_64, getegid
    and getegid32 syscalls.
  + tracker-extract:
  - Add GExiv2-based extractor module for RAW files.
  - Blacklist gstreamer modules via plugin instead of via
    feature.
  - Blacklist video4linux2 gstreamer plugin.
  - Use enumerations for EXIF values.
  - Fix image pixel density conversions.
  + tracker-miner-fs: Avoid setting rdf:types on empty files.
  + meson: dependency check fixes.
  + Updated translations.
- Drop tracker-miners-nb-translations.patch: Fixed upstream.
* Sat Jan  6 2018 zaitor@opensuse.org
- Add tracker-miners-nb-translations.patch: Update Norwegian Bokmål
  translations.
* Thu Nov 16 2017 luc14n0@linuxmail.org
- Update to version 2.0.3:
  + meson: Multiple cleanups and fixes.
  + tracker-extract: Do not overwrite nie:dataSource.
- Update Url to https://wiki.gnome.org/Projects/Tracker: current
  Tracker's web page.
* Fri Oct  6 2017 zaitor@opensuse.org
- Update to version 2.0.2:
  + tracker-miner-fs: Fix initialization when there's a startup
    timeout.
  + tracker-extract: Don't store 0-length strings on MSOffice
    metadata.
  + Updated translations.
* Thu Oct  5 2017 dimstar@opensuse.org
- Update to version 2.0.1:
  + tracker-miner-apps: Ignore broken .desktop file symlinks.
  + tracker-miner-fs: Ignore non-native mounts.
  + tracker-extract: Fix insertion of white balance values in
    images.
  + Compile warnings and Coverity issue fixes.
  + Fix srcdir!=builddir builds.
- Drop tracker-miners-tracker-extract-fixes.patch: fixed upstream.
* Sat Sep 23 2017 zaitor@opensuse.org
- Add tracker-miners-tracker-extract-fixes.patch: Fix various bugs
  in tracker-extract (bgo#785853, bgo#787774).
* Tue Sep 12 2017 dimstar@opensuse.org
- Update to version 2.0.0:
  + Tracker shall from now on use semantic versioning.
  + autotools/meson cleanups.
  + Updated translations.
* Wed Sep  6 2017 dimstar@opensuse.org
- Add releavant conflicts to ease upgrades from old tracker
  versions: tracker and libtracker-common-1_0: Various files moved
  from to tracker-miners.
* Tue Aug 22 2017 zaitor@opensuse.org
- Update to version 1.99.3:
  + Add more assertions to testcases (CIDs 162185, 162186,
    162188–162191).
  + Protect further the MP3 parser against out-of-bounds reads
    (CID #162187).
  + Fixed typos, and other code and build improvements.
  + Updated translations.
* Tue Aug 15 2017 dimstar@opensuse.org
- Initial package, version 1.99.2:
  + Tracker-miners has been split out from tracker.
